This post is partly for info if anyone else who finds this wondering why Dropbox has stopped working on SLED 11 SP3 and partly in case anyone has a solution. As per title, Dropbox no longer works on SLED 11 SP3.

Code:
:~> dropbox.py start
Starting Dropbox...Dropbox isn't running!
Done!
:~> /home/mike/.dropbox-dist/dropbox-lnx.x86_64-3.0.3/dropbox: symbol lookup error: /home/mike/.dropbox-dist/dropbox-lnx.x86_64-3.0.3/plugins/platforms/libqxcb.so: undefined symbol: XIQueryVersion
The cause is not any updates to SLED 11 SP3, it's updates to Dropbox. Posts on Dropbox forums indicate there are also problems with versions of Ubuntu and CentOS.

The current version is 3.0.3 (9th December), which is just a small bug fix release for 3.0.2 (8th December). The next oldest version is prior to that is 2.10.51, which does work. 2.10.51 can be obtained from
https://dl.dropboxusercontent.com/u/...2.10.51.tar.gz
(I didn't find it linked anywhere, I looked at the output of the wget command at https://www.dropbox.com/install?os=lnx then fiddled with the urls.)

The Dropbox client will automatically update itself though and there is nothing in the preferences to disable that. So far I've found that downgrading to 2.10.51 then removing write permission prevents it from updating.

Code:
$ cd
$ rm -rf .dropbox-dist/
$ curl https://dl.dropboxusercontent.com/u/17/dropbox-lnx.x86_64-2.10.51.tar.gz | tar xvfz -
$ chmod 500 .dropbox-dist/
I've not found a way to make 3.0.3 work.


https://www.dropbox.com/install?os=lnx claims "The Dropbox daemon works fine on all 32-bit and 64-bit Linux servers." Let's see if they modify the Dropbox daemon to make that claim true, or remove the claim